---
title: Search contents based on criteria
slug: cms-12/api/bZ5m-search-contents-based-on-criteria
docTags: 
createdAt: 2026-08-28T13:16:06.833Z
---

{
  "id": "qSP9jQranbh5kDLrIpGxz",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "/api/episerver/v3.0/search/content",
    "servers": [],
    "name": "Search contents based on criteria",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/problem+json"
          ],
          "default": "application/json"
        },
        {
          "kind": "optional",
          "name": "Accept-Language",
          "type": "string",
          "description": "<p>Determines in which language the content should be retrieved. Example: 'en' or 'sv'. Does not support fallback.</p>"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "Query",
          "type": "string",
          "description": "Optional Free text query string for a search request"
        },
        {
          "kind": "optional",
          "name": "Skip",
          "type": "integer<int32>",
          "description": "Number of results to bypass in the response. For use with paginated results.",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "Top",
          "type": "integer<int32>",
          "description": "Number of results to retrieve in the response. For use with paginated results.",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "Personalize",
          "type": "boolean",
          "description": "Indicates whether the response should be personalized when sent back to the user"
        },
        {
          "kind": "optional",
          "name": "Filter",
          "type": "string",
          "description": "Filter string based on OData syntax for filtering content"
        },
        {
          "kind": "optional",
          "name": "OrderBy",
          "type": "string",
          "description": "Order By string for ordering returned search results"
        },
        {
          "kind": "optional",
          "name": "Expand",
          "type": "string",
          "description": "<p>Comma-separated list of properties to Expand, fetching content in the response</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Ok",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Represents a search response sent back from the Content Api",
            "customType": "searchResponse",
            "schema": [
              {
                "name": "totalMatching",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "<p>Total number of matching results from the search request.  For use in calculating pagination on the client, this number may be bigger than the returned total of EPiServer.ContentApi.Search.Internal.SearchResponse.Results\r\nin a single request based on the provider EPiServer.ContentApi.Search.Internal.SearchRequest.Top value, as well as the EPiServer.ContentApi.Search.ContentSearchApiOptions.MaximumSearchResults configuration value.</p>",
                "format": "int32"
              },
              {
                "name": "results",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "Search Results in the form of EPiServer.ContentApi.Core.Serialization.Models.ContentApiModel instances",
                "modelRef": "#/components/schemas/content",
                "customType": "content[]",
                "schema": [
                  {
                    "name": "contentLink",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/contentReference",
                    "customType": "contentReference",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "optional",
                        "type": "integer<int32>",
                        "nullable": true,
                        "description": "",
                        "format": "int32"
                      },
                      {
                        "name": "workId",
                        "kind": "optional",
                        "type": "integer<int32>",
                        "nullable": true,
                        "description": "",
                        "format": "int32"
                      },
                      {
                        "name": "guidValue",
                        "kind": "optional",
                        "type": "string<uuid>",
                        "nullable": true,
                        "description": "",
                        "format": "uuid"
                      },
                      {
                        "name": "providerName",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": ""
                      },
                      {
                        "name": "url",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": ""
                      },
                      {
                        "name": "language",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/language",
                        "customType": "language",
                        "schema": [
                          {
                            "name": "displayName",
                            "kind": "optional",
                            "type": "string",
                            "nullable": true,
                            "description": ""
                          },
                          {
                            "name": "name",
                            "kind": "optional",
                            "type": "string",
                            "nullable": true,
                            "description": ""
                          }
                        ]
                      },
                      {
                        "name": "expanded",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/content",
                        "customType": "content",
                        "schema": [
                          {
                            "name": "",
                            "description": "",
                            "customType": "Circular-Reference"
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  },
                  {
                    "name": "language",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/language",
                    "customType": "language",
                    "schema": [
                      {
                        "name": "displayName",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": ""
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": ""
                      }
                    ]
                  },
                  {
                    "name": "existingLanguages",
                    "kind": "optional",
                    "type": "array",
                    "nullable": true,
                    "description": "",
                    "modelRef": "#/components/schemas/language",
                    "customType": "language[]",
                    "schema": [
                      {
                        "name": "displayName",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": ""
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": ""
                      }
                    ]
                  },
                  {
                    "name": "masterLanguage",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/language",
                    "customType": "language",
                    "schema": [
                      {
                        "name": "displayName",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": ""
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": ""
                      }
                    ]
                  },
                  {
                    "name": "contentType",
                    "kind": "optional",
                    "type": "array",
                    "nullable": true,
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "parentLink",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/contentReference",
                    "customType": "contentReference",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "optional",
                        "type": "integer<int32>",
                        "nullable": true,
                        "description": "",
                        "format": "int32"
                      },
                      {
                        "name": "workId",
                        "kind": "optional",
                        "type": "integer<int32>",
                        "nullable": true,
                        "description": "",
                        "format": "int32"
                      },
                      {
                        "name": "guidValue",
                        "kind": "optional",
                        "type": "string<uuid>",
                        "nullable": true,
                        "description": "",
                        "format": "uuid"
                      },
                      {
                        "name": "providerName",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": ""
                      },
                      {
                        "name": "url",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": ""
                      },
                      {
                        "name": "language",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/language",
                        "customType": "language",
                        "schema": [
                          {
                            "name": "displayName",
                            "kind": "optional",
                            "type": "string",
                            "nullable": true,
                            "description": ""
                          },
                          {
                            "name": "name",
                            "kind": "optional",
                            "type": "string",
                            "nullable": true,
                            "description": ""
                          }
                        ]
                      },
                      {
                        "name": "expanded",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/content",
                        "customType": "content",
                        "schema": [
                          {
                            "name": "",
                            "description": "",
                            "customType": "Circular-Reference"
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "routeSegment",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  },
                  {
                    "name": "url",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  },
                  {
                    "name": "changed",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "nullable": true,
                    "description": "",
                    "format": "date-time"
                  },
                  {
                    "name": "created",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "nullable": true,
                    "description": "",
                    "format": "date-time"
                  },
                  {
                    "name": "startPublish",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "nullable": true,
                    "description": "",
                    "format": "date-time"
                  },
                  {
                    "name": "stopPublish",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "nullable": true,
                    "description": "",
                    "format": "date-time"
                  },
                  {
                    "name": "saved",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "nullable": true,
                    "description": "",
                    "format": "date-time"
                  },
                  {
                    "name": "status",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/searchResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "ot6TMxhxogRRW9xxK7WZh",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url /api/episerver/v3.0/search/content \\\n     --header 'accept: application/json'"
        },
        {
          "id": "q773KBuX5pxamq0DWR2aB",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"/api/episerver/v3.0/search/content\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "BPAN65CKNDuKCa64z720A",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/api/episerver/v3.0/search/content\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "RTL6ykQXBnQ_ufB_l79oN",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/api/episerver/v3.0/search/content\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "ot6TMxhxogRRW9xxK7WZh"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Ok\n{\n  \"totalMatching\": \"\",\n  \"results\": [\n    {\n      \"contentLink\": {\n        \"id\": \"\",\n        \"workId\": \"\",\n        \"guidValue\": \"\",\n        \"providerName\": \"\",\n        \"url\": \"\",\n        \"language\": {\n          \"displayName\": \"\",\n          \"name\": \"\"\n        },\n        \"expanded\": {\n          \"\": \"\"\n        }\n      },\n      \"name\": \"\",\n      \"language\": {\n        \"displayName\": \"\",\n        \"name\": \"\"\n      },\n      \"existingLanguages\": [\n        {\n          \"displayName\": \"\",\n          \"name\": \"\"\n        }\n      ],\n      \"masterLanguage\": {\n        \"displayName\": \"\",\n        \"name\": \"\"\n      },\n      \"contentType\": [\n        \"\"\n      ],\n      \"parentLink\": {\n        \"id\": \"\",\n        \"workId\": \"\",\n        \"guidValue\": \"\",\n        \"providerName\": \"\",\n        \"url\": \"\",\n        \"language\": {\n          \"displayName\": \"\",\n          \"name\": \"\"\n        },\n        \"expanded\": {\n          \"\": \"\"\n        }\n      },\n      \"routeSegment\": \"\",\n      \"url\": \"\",\n      \"changed\": \"\",\n      \"created\": \"\",\n      \"startPublish\": \"\",\n      \"stopPublish\": \"\",\n      \"saved\": \"\",\n      \"status\": \"\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}